﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Globalization;
using System.Linq;
using System.Resources;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using C1.Win.C1TrueDBGrid;

namespace FilterDropDown_TDBG
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            System.Threading.Thread.CurrentThread.CurrentUICulture = new CultureInfo("de-DE");
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            c1TrueDBGrid1.DataSource = GetDataTable();

            var col = c1TrueDBGrid1.Columns["Name"];
            col.FilterDropdown = true;
            col.FilterMultiSelect = true;
            col.FilterEscape = "";

            //set these properties from resx
            string resxFile = @"..\..\Strings.C1.Win.C1TrueDBGrid.4.5.2.de-DE.resx";
            using (ResXResourceSet resxSet = new ResXResourceSet(resxFile))
            {
                col.FilterDropdownText = resxSet.GetString("SelectAllItems");
                col.FilterApplyText = resxSet.GetString("Forms.FilterEditorForm._btnApplyFilter.Text");
                col.FilterCancelText = resxSet.GetString("Forms.FilterEditorForm._btnCancel.Text");
                col.FilterClearText = resxSet.GetString("Forms.FilterEditorForm._btnClearFilter.Text");
            }

            //c1TrueDBGrid1.FilterBar = true;
        }

        /// <summary>
        /// Sample DataTable for the Grid
        /// </summary>
        private DataTable GetDataTable()
        {
            DataTable dt = new DataTable("Customers");
            dt.Columns.Add("Id", typeof(int));
            dt.Columns.Add("Name", typeof(string));
            dt.Columns.Add("Department", typeof(string));
            dt.Columns.Add("Sex", typeof(string));
            dt.Columns.Add("Salary", typeof(decimal));
            dt.Columns.Add("Check", typeof(bool));

            dt.Rows.Add(1, "Peter", "Mgmt", "M", 5000, 0);
            dt.Rows.Add(2, "George", "ACC", "M", 4000, 0);
            dt.Rows.Add(3, "Frank", "IT", "M", 4500, 0);
            dt.Rows.Add(4, "Linda", "IT", "F", 4000, 0);
            dt.Rows.Add(5, "Fink", "ACC", "M", 3000, 0);
            dt.Rows.Add(6, "Lucy", "ACC", "F", 5000, 0);

            return dt;
        }
    }
}
